
Redmine - Defect #23242

thumbnail macro does not render when displaying wiki content version

2016-07-05 11:27 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version:  

Description

when looking at an older version of a wiki page, the thumbnail macro fails to render because WikiContent::Version does not

respond_to? :attachments

Attached patch fixes this.

Associated revisions

Revision 15610 - 2016-07-09 05:27 - Jean-Philippe Lang

Adds attachments accessor to WikiContent::Version (#23242).

Patch by Jens Kraemer.

Revision 15611 - 2016-07-09 05:27 - Jean-Philippe Lang

Adds a test for #23242.

Revision 15617 - 2016-07-10 09:51 - Jean-Philippe Lang

Merged r15610 and r15611 (#23242).

History

#1 - 2016-07-05 11:41 - Toshi MARUYAMA

- Target version set to 3.3.1

#2 - 2016-07-05 11:41 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

#3 - 2016-07-09 05:28 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#4 - 2016-07-10 09:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

0001-adds-attachments-accessor-to-WikiContent-Version.patch 760 Bytes 2016-07-05 Jens Krämer

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.tcpdf.org

